package meerkat.voting.gui.select_candidate_name;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.TwoWayNode;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * SelectCandidateNameController handle the behavior of select by name screen
 */
public class SelectCandidateNameController extends TwoWayNode {
    @FXML
    private void GetToSelectChannel(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.previous.UpdateNode();
        this.currentStage.show();
    }

    @FXML
    private void SelectCandidateByName(MouseEvent mousePressed) {
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
    }

    /**
     * Updates the voter options according to the VotingBoothConfiguration
     */
    private void UpdateVoterOptions(){
        StringsAnswersUpdater updater = new StringsAnswersUpdater(this.currentStage);
        updater.AddAnswers(this.config.NameSelectionQuestion);
    }

    @Override
    public void UpdateNode() {
        this.UpdateVoterOptions();
    }
}
